Package org.apache.storm.generated

## Class SupervisorSummary

- java.lang.Object
- - org.apache.storm.generated.SupervisorSummary

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<SupervisorSummary>`, `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class SupervisorSummary
      extends Object
      implements org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>, Serializable, Cloneable, Comparable<SupervisorSummary>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SupervisorSummary._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<SupervisorSummary._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SupervisorSummary()` |
    `SupervisorSummary​(String host, int uptime_secs, int num_workers, int num_used_workers, String supervisor_id)` |
    `SupervisorSummary​(SupervisorSummary other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(SupervisorSummary other)` |
    `SupervisorSummary` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(SupervisorSummary that)` |
    `SupervisorSummary._Fields` | `fieldForId​(int fieldId)` |
    `double` | `get_fragmented_cpu()` |
    `double` | `get_fragmented_mem()` |
    `String` | `get_host()` |
    `int` | `get_num_used_workers()` |
    `int` | `get_num_workers()` |
    `String` | `get_supervisor_id()` |
    `Map<String,​Double>` | `get_total_resources()` |
    `int` | `get_total_resources_size()` |
    `int` | `get_uptime_secs()` |
    `double` | `get_used_cpu()` |
    `Map<String,​Double>` | `get_used_generic_resources()` |
    `int` | `get_used_generic_resources_size()` |
    `double` | `get_used_mem()` |
    `String` | `get_version()` |
    `Object` | `getFieldValue​(SupervisorSummary._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_blacklisted()` |
    `boolean` | `is_set_blacklisted()` | Returns true if field blacklisted is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_fragmented_cpu()` | Returns true if field fragmented_cpu is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_fragmented_mem()` | Returns true if field fragmented_mem is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_host()` | Returns true if field host is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_used_workers()` | Returns true if field num_used_workers is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_workers()` | Returns true if field num_workers is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_supervisor_id()` | Returns true if field supervisor_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_resources()` | Returns true if field total_resources is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_uptime_secs()` | Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_used_cpu()` | Returns true if field used_cpu is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_used_generic_resources()` | Returns true if field used_generic_resources is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_used_mem()` | Returns true if field used_mem is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_version()` | Returns true if field version is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(SupervisorSummary._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_total_resources​(String key, double val)` |
    `void` | `put_to_used_generic_resources​(String key, double val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_blacklisted​(boolean blacklisted)` |
    `void` | `set_blacklisted_isSet​(boolean value)` |
    `void` | `set_fragmented_cpu​(double fragmented_cpu)` |
    `void` | `set_fragmented_cpu_isSet​(boolean value)` |
    `void` | `set_fragmented_mem​(double fragmented_mem)` |
    `void` | `set_fragmented_mem_isSet​(boolean value)` |
    `void` | `set_host​(String host)` |
    `void` | `set_host_isSet​(boolean value)` |
    `void` | `set_num_used_workers​(int num_used_workers)` |
    `void` | `set_num_used_workers_isSet​(boolean value)` |
    `void` | `set_num_workers​(int num_workers)` |
    `void` | `set_num_workers_isSet​(boolean value)` |
    `void` | `set_supervisor_id​(String supervisor_id)` |
    `void` | `set_supervisor_id_isSet​(boolean value)` |
    `void` | `set_total_resources​(Map<String,​Double> total_resources)` |
    `void` | `set_total_resources_isSet​(boolean value)` |
    `void` | `set_uptime_secs​(int uptime_secs)` |
    `void` | `set_uptime_secs_isSet​(boolean value)` |
    `void` | `set_used_cpu​(double used_cpu)` |
    `void` | `set_used_cpu_isSet​(boolean value)` |
    `void` | `set_used_generic_resources​(Map<String,​Double> used_generic_resources)` |
    `void` | `set_used_generic_resources_isSet​(boolean value)` |
    `void` | `set_used_mem​(double used_mem)` |
    `void` | `set_used_mem_isSet​(boolean value)` |
    `void` | `set_version​(String version)` |
    `void` | `set_version_isSet​(boolean value)` |
    `void` | `setFieldValue​(SupervisorSummary._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_blacklisted()` |
    `void` | `unset_fragmented_cpu()` |
    `void` | `unset_fragmented_mem()` |
    `void` | `unset_host()` |
    `void` | `unset_num_used_workers()` |
    `void` | `unset_num_workers()` |
    `void` | `unset_supervisor_id()` |
    `void` | `unset_total_resources()` |
    `void` | `unset_uptime_secs()` |
    `void` | `unset_used_cpu()` |
    `void` | `unset_used_generic_resources()` |
    `void` | `unset_used_mem()` |
    `void` | `unset_version()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<SupervisorSummary._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SupervisorSummary

          public SupervisorSummary()

    - #### SupervisorSummary

          public SupervisorSummary​(String host,
                                   int uptime_secs,
                                   int num_workers,
                                   int num_used_workers,
                                   String supervisor_id)

    - #### SupervisorSummary

          public SupervisorSummary​(SupervisorSummary other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public SupervisorSummary deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`

    - #### get_host

          public String get_host()

    - #### set_host

          public void set_host​(String host)

    - #### unset_host

          public void unset_host()

    - #### is_set_host

          public boolean is_set_host()

      Returns true if field host is set (has been assigned a value) and false otherwise

    - #### set_host_isSet

          public void set_host_isSet​(boolean value)

    - #### get_uptime_secs

          public int get_uptime_secs()

    - #### set_uptime_secs

          public void set_uptime_secs​(int uptime_secs)

    - #### unset_uptime_secs

          public void unset_uptime_secs()

    - #### is_set_uptime_secs

          public boolean is_set_uptime_secs()

      Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

    - #### set_uptime_secs_isSet

          public void set_uptime_secs_isSet​(boolean value)

    - #### get_num_workers

          public int get_num_workers()

    - #### set_num_workers

          public void set_num_workers​(int num_workers)

    - #### unset_num_workers

          public void unset_num_workers()

    - #### is_set_num_workers

          public boolean is_set_num_workers()

      Returns true if field num_workers is set (has been assigned a value) and false otherwise

    - #### set_num_workers_isSet

          public void set_num_workers_isSet​(boolean value)

    - #### get_num_used_workers

          public int get_num_used_workers()

    - #### set_num_used_workers

          public void set_num_used_workers​(int num_used_workers)

    - #### unset_num_used_workers

          public void unset_num_used_workers()

    - #### is_set_num_used_workers

          public boolean is_set_num_used_workers()

      Returns true if field num_used_workers is set (has been assigned a value) and false otherwise

    - #### set_num_used_workers_isSet

          public void set_num_used_workers_isSet​(boolean value)

    - #### get_supervisor_id

          public String get_supervisor_id()

    - #### set_supervisor_id

          public void set_supervisor_id​(String supervisor_id)

    - #### unset_supervisor_id

          public void unset_supervisor_id()

    - #### is_set_supervisor_id

          public boolean is_set_supervisor_id()

      Returns true if field supervisor_id is set (has been assigned a value) and false otherwise

    - #### set_supervisor_id_isSet

          public void set_supervisor_id_isSet​(boolean value)

    - #### get_version

          public String get_version()

    - #### set_version

          public void set_version​(String version)

    - #### unset_version

          public void unset_version()

    - #### is_set_version

          public boolean is_set_version()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### set_version_isSet

          public void set_version_isSet​(boolean value)

    - #### get_total_resources_size

          public int get_total_resources_size()

    - #### put_to_total_resources

          public void put_to_total_resources​(String key,
                                             double val)

    - #### get_total_resources

          public Map<String,​Double> get_total_resources()

    - #### set_total_resources

          public void set_total_resources​(Map<String,​Double> total_resources)

    - #### unset_total_resources

          public void unset_total_resources()

    - #### is_set_total_resources

          public boolean is_set_total_resources()

      Returns true if field total_resources is set (has been assigned a value) and false otherwise

    - #### set_total_resources_isSet

          public void set_total_resources_isSet​(boolean value)

    - #### get_used_mem

          public double get_used_mem()

    - #### set_used_mem

          public void set_used_mem​(double used_mem)

    - #### unset_used_mem

          public void unset_used_mem()

    - #### is_set_used_mem

          public boolean is_set_used_mem()

      Returns true if field used_mem is set (has been assigned a value) and false otherwise

    - #### set_used_mem_isSet

          public void set_used_mem_isSet​(boolean value)

    - #### get_used_cpu

          public double get_used_cpu()

    - #### set_used_cpu

          public void set_used_cpu​(double used_cpu)

    - #### unset_used_cpu

          public void unset_used_cpu()

    - #### is_set_used_cpu

          public boolean is_set_used_cpu()

      Returns true if field used_cpu is set (has been assigned a value) and false otherwise

    - #### set_used_cpu_isSet

          public void set_used_cpu_isSet​(boolean value)

    - #### get_fragmented_mem

          public double get_fragmented_mem()

    - #### set_fragmented_mem

          public void set_fragmented_mem​(double fragmented_mem)

    - #### unset_fragmented_mem

          public void unset_fragmented_mem()

    - #### is_set_fragmented_mem

          public boolean is_set_fragmented_mem()

      Returns true if field fragmented_mem is set (has been assigned a value) and false otherwise

    - #### set_fragmented_mem_isSet

          public void set_fragmented_mem_isSet​(boolean value)

    - #### get_fragmented_cpu

          public double get_fragmented_cpu()

    - #### set_fragmented_cpu

          public void set_fragmented_cpu​(double fragmented_cpu)

    - #### unset_fragmented_cpu

          public void unset_fragmented_cpu()

    - #### is_set_fragmented_cpu

          public boolean is_set_fragmented_cpu()

      Returns true if field fragmented_cpu is set (has been assigned a value) and false otherwise

    - #### set_fragmented_cpu_isSet

          public void set_fragmented_cpu_isSet​(boolean value)

    - #### is_blacklisted

          public boolean is_blacklisted()

    - #### set_blacklisted

          public void set_blacklisted​(boolean blacklisted)

    - #### unset_blacklisted

          public void unset_blacklisted()

    - #### is_set_blacklisted

          public boolean is_set_blacklisted()

      Returns true if field blacklisted is set (has been assigned a value) and false otherwise

    - #### set_blacklisted_isSet

          public void set_blacklisted_isSet​(boolean value)

    - #### get_used_generic_resources_size

          public int get_used_generic_resources_size()

    - #### put_to_used_generic_resources

          public void put_to_used_generic_resources​(String key,
                                                    double val)

    - #### get_used_generic_resources

          public Map<String,​Double> get_used_generic_resources()

    - #### set_used_generic_resources

          public void set_used_generic_resources​(Map<String,​Double> used_generic_resources)

    - #### unset_used_generic_resources

          public void unset_used_generic_resources()

    - #### is_set_used_generic_resources

          public boolean is_set_used_generic_resources()

      Returns true if field used_generic_resources is set (has been assigned a value) and false otherwise

    - #### set_used_generic_resources_isSet

          public void set_used_generic_resources_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(SupervisorSummary._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(SupervisorSummary._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`

    - #### isSet

          public boolean isSet​(SupervisorSummary._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(SupervisorSummary that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(SupervisorSummary other)

      Specified by:
        `compareTo` in interface `Comparable<SupervisorSummary>`

    - #### fieldForId

          public SupervisorSummary._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<SupervisorSummary,​SupervisorSummary._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`